"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

function _templateObject2() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n      animation: ", " .5s linear;\n    "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n  from { opacity 0; }\n  to { opacity 1; }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var fadeInAnimation = (0, _styledComponents.keyframes)(_templateObject());

var EnhancedComponent = function EnhancedComponent(_ref) {
  var component = _ref.component,
      fadeIn = _ref.fadeIn,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["component", "fadeIn"]);
  var Component = !fadeIn ? component : (0, _styledComponents.default)(component)(_templateObject2(), fadeInAnimation);
  return _react.default.createElement(Component, rest);
};

EnhancedComponent.propTypes = {
  component: _propTypes.default.func,
  fadeIn: _propTypes.default.bool.isRequired
};
EnhancedComponent.defaultProps = {
  component: null
};
var _default = EnhancedComponent;
exports.default = _default;