"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _cloudOff = _interopRequireDefault(require("./cloud-off"));

var _placeholder = _interopRequireDefault(require("./placeholder"));

var Error = function Error(_ref) {
  var component = _ref.component,
      width = _ref.width,
      height = _ref.height;
  var Component = component || _cloudOff.default;
  return _react.default.createElement(_placeholder.default, {
    width: width,
    height: height
  }, _react.default.createElement(Component, null));
};

Error.propTypes = {
  component: _propTypes.default.node,
  width: _propTypes.default.string,
  height: _propTypes.default.string
};
Error.defaultProps = {
  component: null,
  width: null,
  height: null
};
var _default = Error;
exports.default = _default;